aboutsummaryrefslogtreecommitdiff
path: root/src/test/test_bt.sh
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2015-09-24 15:07:39 -0400
committerNick Mathewson <nickm@torproject.org>2015-09-24 15:07:39 -0400
commiteb2188168e2eca96692ec5f60f298f7bc287e990 (patch)
tree7c5bc481e124d80d6a08d7342642013726e8aa49 /src/test/test_bt.sh
parent3f52a33739944c53ecb2fd516a7cdab9fc14b1ba (diff)
downloadtor-eb2188168e2eca96692ec5f60f298f7bc287e990.tar.gz
tor-eb2188168e2eca96692ec5f60f298f7bc287e990.zip
Stop trying to generate test scripts via autoconf substitution.
Use environment variables instead. This repairs 'make distcheck', which was running into trouble when it tried to chmod the generated scripts. Fixes 17148.
Diffstat (limited to 'src/test/test_bt.sh')
-rwxr-xr-xsrc/test/test_bt.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/src/test/test_bt.sh b/src/test/test_bt.sh
new file mode 100755
index 0000000000..15d16cb4a6
--- /dev/null
+++ b/src/test/test_bt.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+# Test backtrace functionality.
+
+exitcode=0
+
+${builddir:-.}/src/test/test-bt-cl assert | ${PYTHON:-python} "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode=1
+${builddir:-.}/src/test/test-bt-cl crash | ${PYTHON:-python} "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode=1
+
+exit ${exitcode}